<h1>WPSSO Ratings and Reviews</h1>

<table>
<tr><th align="right" valign="top" nowrap>Plugin Name</th><td>WPSSO Ratings and Reviews</td></tr>
<tr><th align="right" valign="top" nowrap>Summary</th><td>Adds Ratings and Reviews Features to the WordPress Comments System.</td></tr>
<tr><th align="right" valign="top" nowrap>Stable Version</th><td>3.2.0</td></tr>
<tr><th align="right" valign="top" nowrap>Requires PHP</th><td>7.4.33 or newer</td></tr>
<tr><th align="right" valign="top" nowrap>Requires WordPress</th><td>5.9 or newer</td></tr>
<tr><th align="right" valign="top" nowrap>Tested Up To WordPress</th><td>6.7.1</td></tr>
<tr><th align="right" valign="top" nowrap>Tested Up To WooCommerce</th><td>9.5.1</td></tr>
<tr><th align="right" valign="top" nowrap>Contributors</th><td>jsmoriss</td></tr>
<tr><th align="right" valign="top" nowrap>License</th><td><a href="https://www.gnu.org/licenses/gpl.txt">GPLv3</a></td></tr>
<tr><th align="right" valign="top" nowrap>Tags / Keywords</th><td>star rating, aggregate rating, product ratings, product reviews, woocommerce</td></tr>
</table>

<h2>Description</h2>

<!-- about -->

<p><strong>Extends the WordPress comments system:</strong></p>

<p>Adds ratings and reviews features to Posts, Pages, and custom post types by extending the WordPress comments system.</p>

<p><strong>Compatible with WooCommerce and its product ratings:</strong></p>

<p>WooCommerce provides its own product ratings and reviews features.</p>

<p>The WPSSO Ratings and Reviews add-on can provide ratings and reviews features for other post types, without interfering with WooCommerce's product ratings and reviews features.</p>

<p><strong>Provides <a href="https://schema.org/aggregateRating">Schema Aggregate Rating</a> and <a href="https://schema.org/Review">Schema Review</a> markup:</strong></p>

<p>In Posts, Pages, and custom post types where ratings and reviews have been enabled, the WPSSO Ratings and Reviews add-on includes information in the Schema markup about the review (author name, creation time, excerpt, rating) and the threaded replies / comments for each review.</p>

<p><strong>No templates to modify or update:</strong></p>

<p>The WPSSO Ratings and Reviews add-on automatically and dynamically extends the WordPress comments system without modifying any templates.</p>

<p>Simply activate the plugin to enable the addition of ratings and reviews.</p>

<!-- /about -->

<h3>WPSSO Core Required</h3>

<p>WPSSO Ratings and Reviews (WPSSO RAR) is an add-on for the <a href="https://wordpress.org/plugins/wpsso/">WPSSO Core plugin</a>, which creates extensive and complete structured data to present your content at its best for social sites and search results – no matter how URLs are shared, reshared, messaged, posted, embedded, or crawled.</p>

<h2>Installation</h2>

<h3 class="top">Install and Uninstall</h3>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso-ratings-and-reviews/installation/install-the-plugin/">Install the WPSSO Ratings and Reviews add-on</a>.</li>
<li><a href="https://wpsso.com/docs/plugins/wpsso-ratings-and-reviews/installation/uninstall-the-plugin/">Uninstall the WPSSO Ratings and Reviews add-on</a>.</li>
</ul>

<h2>Frequently Asked Questions</h2>

<h3 class="top">Frequently Asked Questions</h3>

<ul>
<li>None.</li>
</ul>

<h3>Notes and Documentation</h3>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso-ratings-and-reviews/notes/developer/">Developer Resources</a>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso-ratings-and-reviews/notes/developer/get-average-rating/">Get Average Rating</a></li>
</ul></li>
</ul>

